import { ipcRenderer } from 'electron';

function dialogSelectFile(
  config: Electron.OpenDialogOptions
): Promise<Electron.OpenDialogReturnValue> {
  return ipcRenderer.invoke('dialog:selectFile', config);
}

const electronApi = {
  dialogSelectFile,
};

export type ElectronApi = typeof electronApi;

export default electronApi;
